summaryrefslogtreecommitdiff
path: root/dev-python/diskcache/diskcache-5.1.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-09 12:26:46 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-09 12:26:46 +0000
commit1965c3674e370d2b162e5235dd415e4a6f6bdab4 (patch)
tree76be5115fb11194a9374ea437e73802c8974968a /dev-python/diskcache/diskcache-5.1.0.ebuild
parentaa1ec1f5fa82ac013d1997cfd79b1e1ef84a66e7 (diff)
downloadbaldeagleos-repo-1965c3674e370d2b162e5235dd415e4a6f6bdab4.tar.gz
baldeagleos-repo-1965c3674e370d2b162e5235dd415e4a6f6bdab4.tar.xz
baldeagleos-repo-1965c3674e370d2b162e5235dd415e4a6f6bdab4.zip
Updating liguros repo
Diffstat (limited to 'dev-python/diskcache/diskcache-5.1.0.ebuild')
-rw-r--r--dev-python/diskcache/diskcache-5.1.0.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/diskcache/diskcache-5.1.0.ebuild b/dev-python/diskcache/diskcache-5.1.0.ebuild
new file mode 100644
index 000000000000..c009e0a54e23
--- /dev/null
+++ b/dev-python/diskcache/diskcache-5.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="https://www.grantjenks.com/docs/diskcache/
+ https://github.com/grantjenks/python-diskcache/"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+ https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove dep on pytest-xdist
+ sed -i -e '/-n auto/d' tox.ini || die
+
+ distutils-r1_src_prepare
+}